Name: qt
Summary: The Qt GUI application framework: Shared library
Version: 1.40
Release: 1rh51
Source: ftp.troll.no:/qt/source/qt-1.40.tar.gz
Copyright: distributable
Group: X11/Libraries
Packager: Troll Tech <info@troll.no>
Provides: qt-egcs-10x

%package devel
Summary: Include files and documentation needed to compile
Group: X11/Libraries

%description
Contains the shared library needed to run Qt applications, as well as
the README files for Qt.

%description devel
Contains the files necessary to develop applications using Qt: header
files, the Qt meta object compiler, man pages, HTML documentation and
example programs.  See http://www.troll.no for more information about
Qt, or file:/usr/lib/qt/html/index.html for Qt documentation in HTML.

%prep
%setup -n qt-1.40

%build
QTDIR=`/bin/pwd` export QTDIR
make linux-g++-shared
LD_LIBRARY_PATH=/usr/X11R6/lib make

%install
chown -R root.root .
cp bin/moc /usr/bin/moc
cp lib/libqt.so.1.40 /usr/lib
ln -sf libqt.so.1.40 /usr/lib/libqt.so
ln -sf libqt.so.1 /usr/lib/libqt.so
cp -fR man/. /usr/man
mkdir -p /usr/lib/qt /usr/lib/qt/include /usr/lib/qt/html /usr/lib/qt/tutorial /usr/lib/qt/examples
cp -fR html /usr/lib/qt
cp -fR tutorial /usr/lib/qt
cp -fR examples /usr/lib/qt
cp -fR include/. /usr/lib/qt/include
for a in /usr/lib/qt/*/*/Makefile ; do
  sed 's-^SYSCONF_MOC.*-SYSCONF_MOC		= /usr/bin/moc-' < $a > ${a}.2
  mv -v ${a}.2 $a
done
rm /usr/lib/qt/*/*/*.o
/sbin/ldconfig -v
chown root.root /usr/lib/libqt.so.1.40 /usr/lib/libqt.so.1 /usr/lib/libqt.so
chmod -R a+r /usr/lib/libqt.so* /usr/lib/qt

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc ANNOUNCE LICENSE README.QT FAQ PORTING README changes-1.40
/usr/lib/libqt.so.1.40
/usr/lib/libqt.so.1
/usr/lib/libqt.so

%files devel
/usr/bin/moc
/usr/man/man1/moc.1
/usr/man/man3/*.3qt
/usr/lib/qt/
